package com.zd.chemical.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;


/**
 * 化学品使用记录对象 hxp_userecord
 *
 * @author liubo
 * @date 2022-06-18
 */
@ApiModel("化学品使用记录")
public class HxpUserecordVo {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    @Excel(name = "化学品编号",sort = 1)
    @ApiModelProperty(value = "化学品编号")
    private String joinNum;

    @Excel(name = "化学品名称",sort = 2)
    @ApiModelProperty(value = "化学品名称")
    private String chemicalName;

    @Excel(name = "cas号",sort = 3)
    @ApiModelProperty(value = "cas号")
    private String casNum;

    @ApiModelProperty(value = "形态")
    private String chemicalShape;

    @Excel(name = "规格",sort = 8)
    @ApiModelProperty(value = "规格")
    private String chemicalAmountUnit;

    @Excel(name = "分类",sort = 6)
    @ApiModelProperty(value = "分类")
    private String classifyName;

    @Excel(name = "属性",sort = 7)
    @ApiModelProperty(value = "属性")
    private String classifyAttribute;

    @Excel(name = "标签类型",sort = 9)
    @ApiModelProperty(value = "标签类型")
    private String labelContent;

    @Excel(name = "标签编号",sort = 10)
    @ApiModelProperty(value = "标签编号")
    private String tagCode;

    @Excel(name = "机柜名称",sort = 4)
    @ApiModelProperty(value = "机柜名称")
    private String cabinetName;

    @Excel(name = "机柜位置",sort = 5)
    @ApiModelProperty(value = "机柜位置")
    private String posi;

    @Excel(name = "领用时间",sort = 11,dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "领用时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date collectTime;

    @Excel(name = "归还时间",sort = 12,dateFormat = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "归还时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date returnTime;

    @Excel(name = "归还方式",sort = 13)
    @ApiModelProperty(value = "归还方式")
    private String returnTypeContent;

    @Excel(name = "领用时库存",sort = 14)
    @ApiModelProperty(value = "领用时库存")
    private String collectStockNum;

    @Excel(name = "领用称重",sort = 15)
    @ApiModelProperty(value = "领用称重")
    private String collectWeigh;

    @Excel(name = "损耗量",sort = 16)
    @ApiModelProperty(value = "损耗量")
    private String lossAmount;

    @Excel(name = "使用量",sort = 17)
    @ApiModelProperty(value = "使用量")
    private String useStockNum;

    @Excel(name = "剩余库存",sort = 18)
    @ApiModelProperty(value = "剩余库存")
    private String returnStockNum;

    @Excel(name = "状态",sort = 19)
    @ApiModelProperty(value = "状态")
    private String useStatus;

    @Excel(name = "操作人",sort = 20)
    @ApiModelProperty(value = "操作人")
    private String operator;

    @Excel(name = "领用验证人",sort = 21)
    @ApiModelProperty(value = "领用验证人")
    private String verify;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getJoinNum() {
        return joinNum;
    }

    public void setJoinNum(String joinNum) {
        this.joinNum = joinNum;
    }

    public String getChemicalName() {
        return chemicalName;
    }

    public void setChemicalName(String chemicalName) {
        this.chemicalName = chemicalName;
    }

    public String getChemicalShape() {
        return chemicalShape;
    }

    public void setChemicalShape(String chemicalShape) {
        this.chemicalShape = chemicalShape;
    }

    public String getChemicalAmountUnit() {
        return chemicalAmountUnit;
    }

    public void setChemicalAmountUnit(String chemicalAmountUnit) {
        this.chemicalAmountUnit = chemicalAmountUnit;
    }

    public String getClassifyName() {
        return classifyName;
    }

    public void setClassifyName(String classifyName) {
        this.classifyName = classifyName;
    }

    public String getLabelContent() {
        return labelContent;
    }

    public void setLabelContent(String labelContent) {
        this.labelContent = labelContent;
    }

    public String getTagCode() {
        return tagCode;
    }

    public void setTagCode(String tagCode) {
        this.tagCode = tagCode;
    }

    public String getCabinetName() {
        return cabinetName;
    }

    public void setCabinetName(String cabinetName) {
        this.cabinetName = cabinetName;
    }

    public String getPosi() {
        return posi;
    }

    public void setPosi(String posi) {
        this.posi = posi;
    }

    public Date getCollectTime() {
        return collectTime;
    }

    public void setCollectTime(Date collectTime) {
        this.collectTime = collectTime;
    }

    public Date getReturnTime() {
        return returnTime;
    }

    public void setReturnTime(Date returnTime) {
        this.returnTime = returnTime;
    }

    public String getReturnTypeContent() {
        return returnTypeContent;
    }

    public void setReturnTypeContent(String returnTypeContent) {
        this.returnTypeContent = returnTypeContent;
    }

    public String getCollectStockNum() {
        return collectStockNum;
    }

    public void setCollectStockNum(String collectStockNum) {
        this.collectStockNum = collectStockNum;
    }

    public String getUseStockNum() {
        return useStockNum;
    }

    public void setUseStockNum(String useStockNum) {
        this.useStockNum = useStockNum;
    }

    public String getReturnStockNum() {
        return returnStockNum;
    }

    public void setReturnStockNum(String returnStockNum) {
        this.returnStockNum = returnStockNum;
    }

    public String getUseStatus() {
        return useStatus;
    }

    public void setUseStatus(String useStatus) {
        this.useStatus = useStatus;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public String getCasNum() {
        return casNum;
    }

    public void setCasNum(String casNum) {
        this.casNum = casNum;
    }

    public String getClassifyAttribute() {
        return classifyAttribute;
    }

    public void setClassifyAttribute(String classifyAttribute) {
        this.classifyAttribute = classifyAttribute;
    }

    public String getCollectWeigh() {
        return collectWeigh;
    }

    public void setCollectWeigh(String collectWeigh) {
        this.collectWeigh = collectWeigh;
    }

    public String getLossAmount() {
        return lossAmount;
    }

    public void setLossAmount(String lossAmount) {
        this.lossAmount = lossAmount;
    }

    public String getVerify() {
        return verify;
    }

    public void setVerify(String verify) {
        this.verify = verify;
    }
}
